module PlanetExpressExpress
  class Formatter
    def initialize(io)
      @io = io
    end

    def format(shipments)
      shipments[:all].each do |month|
        month.each do |shipment|
          @io.write(
            "#{shipment[:date].iso8601} #{shipment[:size]} #{shipment[:provider]} #{(shipment[:price] - shipment[:discount]).to_s.rjust(3, "0").insert(-3, ".")} #{shipment[:discount].zero? ? "-" : shipment[:discount].to_s.rjust(3, "0").insert(-3, ".")}\n"
          )
        end
      end
    end
  end
end
